@echo off
rem ************************************************************
rem *                  Install bfd-sounds                      *
rem ************************************************************

CLS
IF EXIST %1\osound27.wav goto BAL
CD %2
ECHO Backing up original Doom sounds

%1\dmaud 27 -e %1\osound27.wav -x -q
%1\dmaud 29 -e %1\osound29.wav -x -q
%1\dmaud 30 -e %1\osound30.wav -x -q
%1\dmaud 31 -e %1\osound31.wav -x -q
%1\dmaud 37 -e %1\osound37.wav -x -q 
%1\dmaud 38 -e %1\osound38.wav -x -q
ECHO Backing up of original doom sounds complete.
echo ÿ ÿ
ECHO Installing new sounds into DOOM.WAD

%1\dmaud 27 -s %1\bdoom27.wav -x -q
%1\dmaud 29 -s %1\bdoom29.wav -x -q
%1\dmaud 30 -s %1\bdoom30.wav -x -q
%1\dmaud 31 -s %1\bdoom31.wav -x -q
%1\dmaud 37 -s %1\bdoom37.wav -x -q
%1\dmaud 38 -s %1\bdoom38.wav -x -q
CD %1
ECHO Installation of new sounds complete.
ECHO ÿ
PAUSE
goto BEND

:BAL
CLS
ECHO It appears that the new sounds have already been installed
ECHO Remove all OSOUND*.wav files from your Butthead-For-Doom
ECHO directory if you wish to reinstall the new sounds.
ECHO ÿ
PAUSE
goto BEND

:BEND
